Subject: Re: [PATCH v6] git-p4: Obey core.ignorecase when using P4 client specs.

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Aug 2015 14:48:18 -0700

Lars Schneider <[email-masked]> writes:

> On 26 Aug 2015, at 22:05, Junio C Hamano <[email-masked]> wrote:
>
>> [email-masked] writes:
>> 
>>> From: Lars Schneider <[email-masked]>
>>> 
>>> We run P4 servers on Linux and P4 clients on Windows. For an unknown
>>> reason the file path for a number of files in P4 does not match the
>>> directory path with respect to case sensitivity.
>> 
>> Thanks, but is this still "For an unknown reason", or during the
>> course of debugging you found the root cause, which is what led to
>> this fix?
> We are migrating away from P4 and therefore I haven’t debugged the
> root cause. The source of this problem is 100% P4 related. No Git
> involvement at all. Maybe I just remove this paragraph?

Perhaps.  If it is irrelevant how the P4 depot ended up recording
the paths in mixed cases, then we can just say that as a prerequiste
condition to trigger the problem.

Perhaps rephrase the entire thing like this?

    Perforce depot may record paths in mixed cases, e.g. "p4 files" may
    show that there are these two paths:

        //depot/path/to/file1
        //depot/pATH/to/file2

    and with "p4" or "p4v", these end up in the same directory, e.g.

        //depot/path/to/file1
        //depot/path/to/file2

    which is the desired outcome on case insensitive systems.

    If git-p4 is used with client spec "//depot/path/...", however, then
    all files not matching the case in the client spec are ignored (in
    the example above "//depot/pATH/to/file2").

    Fix this by downcasing the depot_path when core.ignorcase is set to
    true.

Thanks.